<?

header("Cache-Control: no-cache");
if ($ver=="wml")header ("Content-type:text/vnd.wap.wml; charset=utf-8");
else header("Content-Type:text/html; charset=UTF-8");

require("inc.php");
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("version.php");

if ($ver=="wml"){
echo $xml;
echo $dtd;
echo "<wml>\n";
}else{
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
echo "<head><link rel=\"stylesheet\" type=\"text/css\" href=\"css/css.css\"/>\n";
}

switch($mod) {

default:
if ($rm==9){
if ($ver=="wml"){
echo "<card id=\"trader\" title=\"Вызов модера\" >\n";
echo "<p mode=\"wrap\" align=\"center\">\n";
}else{
echo "<title>Вызов модера</title>\n";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>\n";
echo "<div align=\"center\">\n";
}
echo $fsize1; 
echo "<b>Внимание!!!</b><br/>\n";
echo "Вы находитесь в сортире.<br/>\n"; 
echo "И наврядли ВАМ модер здесь поможет.<br/>\n";
echo "Вызов не принят.<br/>\n";
}else{
if ($ver=="wml"){
echo "<card id=\"trader\" title=\"Вызов модера\" >\n";
echo "<p mode=\"wrap\" align=\"center\">\n";
}else{
echo "<title>Вызов модера</title>\n";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>\n";
echo "<div align=\"center\">\n";
}
echo $fsize1; 
echo "<b>Внимание!!!</b><br/>\n";
echo "Сообщение о вызове модера пройдёт по всем комнатам чата.<br/>\n"; 
echo "В случае ложного вызова ВЫ будете наказаны.<br/>\n";
echo "Вам действительно нужен модер?<br/>\n";
echo "<a href=\"sos.php?$ses&amp;mod=yes&amp;rm=$rm&amp;ref=$ref\">Да</a><b>/</b><a href=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">Нет</a><br/>\n";
}
break;

case 'yes':
if(mysql_query("update help set who='".$id."', var='1' where rm='".$rm."';")){
$rnd = rand(0,99999999);
$today=date ("H:i");
$time = time();
$us = $row["user"];
$help = mysql_query("select rm from help where var='1'");
$h = mysql_fetch_array ($help);
$sos = $h["rm"];
$roomselect = @mysql_query ("Select name from rooms where rm='".$sos."'");
$rooms = @mysql_fetch_array($roomselect);
$roomname=$rooms["name"];
$txt = "<b>Срочно нужен модер в комнату ".$roomname."</b>";
for ($num = 0; $num <= 22; $num++){  
$room = "room".$num;
mysql_query ("Insert into $room set klu4= '".$rnd."', time='".$today."', who='".$us."', message='".$txt."', id='".$time."', towhom='', hid='0', usid='".$id."', komu=''");                        
mysql_query("update help set who='".$id."', var='0' where rm='".$rm."';"); 
}
if ($ver=="wml"){
echo "<card id=\"ok\" title=\"Вызов модера\" ontimer=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\"><timer value=\"15\"/>\n";
echo "<p align=\"center\">";
}else{
echo "<title>Вызов модера</title>\n";
echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"2; URL=chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>\n";
echo "<div align=\"center\">\n";
}
echo $fsize1; 
echo "Оk! как только Модер увидет он обязательно зайдёт<br/>";
}else{
if ($ver=="wml"){
echo "<card id=\"ok\" title=\"Вызов модера\" ontimer=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\"><timer value=\"15\"/>\n";
echo "<p align=\"center\">";
}else{
echo "<title>Вызов модера</title>\n";
echo "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"2; URL=chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>\n";
echo "<div align=\"center\">\n";
}
echo "Ошибка.. обратитесь к Администратору<br/>";
}
break;
}
echo $divide;
echo "<a href=\"chat.php?$ses&amp;rm=$rm&amp;ref=$ref\">&#8592; В чат</a>";
echo $fsize2; 
if ($ver=="wml")echo "</p></card></wml>";
else echo "</div></body></html>";
mysql_close ($link);
?>